# Class CSS2DObject

#### Hierarchy

- Object3D
  - CSS2DObject

- Defined in lib/plugins/thirdParty/CSS2DRenderer.d.ts:8

##### Index

### Constructors

constructor

### Properties

center
element
isCSS2DObject
onAfterRender
onBeforeRender

### Methods

copy

## Constructors

### constructor

- new CSS2DObject(element?: HTMLElement): CSS2DObject

  #### Parameters

  - `Optional` element: HTMLElement

  #### Returns CSS2DObject

  Overrides Object3D.constructor

  - Defined in lib/plugins/thirdParty/CSS2DRenderer.d.ts:10

## Properties

### center

center: Vector2

- Defined in lib/plugins/thirdParty/CSS2DRenderer.d.ts:14

### element

element: HTMLElement

- Defined in lib/plugins/thirdParty/CSS2DRenderer.d.ts:13

### `Readonly` isCSS2DObject

isCSS2DObject: true

- Defined in lib/plugins/thirdParty/CSS2DRenderer.d.ts:12

### onAfterRender

onAfterRender: (renderer: unknown, scene: Scene, camera: Camera) => void

Calls after rendering object

Overrides Object3D.onAfterRender

- Defined in lib/plugins/thirdParty/CSS2DRenderer.d.ts:17

### onBeforeRender

onBeforeRender: (renderer: unknown, scene: Scene, camera: Camera) => void

Calls before rendering object

Overrides Object3D.onBeforeRender

- Defined in lib/plugins/thirdParty/CSS2DRenderer.d.ts:16

## Methods

### copy

- copy(source: CSS2DObject, recursive?: boolean): this

  #### Parameters

  - source: CSS2DObject
  - `Optional` recursive: boolean

  #### Returns this

  Overrides Object3D.copy

  - Defined in lib/plugins/thirdParty/CSS2DRenderer.d.ts:19